Uploaded image for project: 'MariaDB Server'
  1. MariaDB Server
  2. MDEV-21803

wrong dependency for mariadb-plugin-tokudb

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Trivial
    • Resolution: Not a Bug
    • Affects Version/s: 10.5.1
    • Fix Version/s: N/A
    • Labels:
      None
    • Environment:
      debian 9

      Description

      package mariadb-plugin-tokudb 10.5.1 depends on mariadb-server 10.1 instead of 10.5.
      hence running apt-get install mariadb-plugin-tokudb uninstalls mariadb-server 10.5 and installs 10.1

      > pico /etc/apt/sources.list.d
       
      deb [arch=amd64,i386,ppc64el] http://mirror.mva-n.net/mariadb/repo/10.5/debian stretch main
      deb-src http://mirror.mva-n.net/mariadb/repo/10.5/debian stretch main
      

      installing mariadb 10.5 from the apt repo works:

      > apt-get install mariadb-server mariadb-client libmariadb3 mariadb-backup mariadb-common
       
      > apt list --installed mariadb-*
      mariadb-backup/unknown,now 1:10.5.1+maria~stretch amd64 [installed]
      mariadb-client/unknown,unknown,unknown,now 1:10.5.1+maria~stretch all [installed]
      mariadb-client-10.5/unknown,now 1:10.5.1+maria~stretch amd64 [installed,automatic]
      mariadb-client-core-10.5/unknown,now 1:10.5.1+maria~stretch amd64 [installed,automatic]
      mariadb-common/unknown,unknown,unknown,now 1:10.5.1+maria~stretch all [installed]
      mariadb-server/unknown,unknown,unknown,now 1:10.5.1+maria~stretch all [installed]
      mariadb-server-10.5/unknown,now 1:10.5.1+maria~stretch amd64 [installed,automatic]
      mariadb-server-core-10.5/unknown,now 1:10.5.1+maria~stretch amd64 [installed,automatic]
      

      installing tokudb breaks it all as it uninstall mariadb 10.5 and installs version 10.1:

      > apt-get install mariadb-plugin-tokudb
       
      The following additional packages will be installed:
        galera-3 libdbd-mysql-perl libmariadbclient18 mariadb-client-10.1 mariadb-client-core-10.1 mariadb-server-10.1 mariadb-server-core-10.1
      Suggested packages:
        mariadb-test netcat-openbsd tinyca
      The following packages will be REMOVED:
        galera-4 mariadb-backup mariadb-client mariadb-client-10.5 mariadb-client-core-10.5 mariadb-server mariadb-server-10.5 mariadb-server-core-10.5
      The following NEW packages will be installed:
        galera-3 libdbd-mysql-perl libmariadbclient18 mariadb-client-10.1 mariadb-client-core-10.1 mariadb-plugin-tokudb mariadb-server-10.1 mariadb-server-core-10.1
      

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned
              Reporter:
              alebacq antoine
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: